maybe we dont need it

This commit is contained in:
Mendel Greenberg 2019-03-03 23:27:16 -05:00
parent 0e7a5992ea
commit c18efdcb6c
No known key found for this signature in database
GPG key ID: B26A7D2DF7DC6EF7
2 changed files with 10 additions and 15 deletions

View file

@ -3,24 +3,11 @@ dist: xenial
env:
- DOCKER_COMPOSE_VERSION: 1.23.1
addons:
apt:
packages:
- build-essential
- nghttp2
- libnghttp2-dev
- libssl-dev
services:
- docker
before_install:
- wget https://curl.haxx.se/download/curl-7.63.0.tar.gz && tar xzf curl-7.63.0.tar.gz
- cd curl-7.63.0
- sudo apt-get -y remove curl
- ./configure --with-nghttp2 --with-ssl
- make && sudo make install
- sudo ldconfig && cd ..
- curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
- sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable"
- sudo apt-get update

12
test.sh
View file

@ -2,5 +2,13 @@
./dbench start > /tmp/bench.log &
curl --version
curl --retry 20 --retry-delay 1 --retry-connrefused "http://localhost:8000/login" | grep '<title> Login </title>' || exit 1
output=$(
while ! curl "http://localhost:8000/login"
do
{ echo "Exit status of curl: $?"
} 1>&2
sleep 1
done
)
echo "${output}" | grep '<title> Login </title>' || exit 1